Textures
Fetch texture(s)
GET /textures
Fetch All Textures - GET Endpoint
GET /open-api/v1/textures[ { "id": "texture_001", "name": "Wooden Texture", "url": "https://example.com/textures/wooden.jpg", "category": "Wood" }, { "id": "texture_002", "name": "Metallic Texture", "url": "https://example.com/textures/metallic.jpg", "category": "Metal" } ]
Authorizations
AuthorizationstringRequired
Enter token in format (Bearer <your_token>)
Query parameters
per_pageintegerOptionalExample:
Number of items per page (-1 for all items)
25pageintegerOptionalExample:
Number of page
2order_bystringOptionalExample:
Field to order by (default: created_at)
nameorderstring · enumOptionalExample:
Sorting order (asc or desc)
descPossible values: category_idintegerOptionalExample:
Filter by category ID
2Responses
200
Successful response
application/json
Textures data response
idintegerOptionalExample:
1namestringOptionalExample:
Wood Texturetexture_filestring · urlOptionalExample:
https://example.com/textures/wood_texture.jpgtexture_thumbnail_50string · urlOptionalExample:
https://example.com/textures/wood_texture_50.jpgtexture_thumbnail_100string · urlOptionalExample:
https://example.com/textures/wood_texture_100.jpgbump_filestring · urlOptionalExample:
https://example.com/textures/wood_texture_bump.jpgcategory_idintegerOptionalExample:
3created_atstring · date-timeOptionalExample:
2024-02-21T12:34:56Zupdated_atstring · date-timeOptionalExample:
2024-02-21T12:34:56Z401
Unauthorized
500
Internal Server Error
get
/api/open-api/v1/texturesGET /textures/{id}
Get Texture by ID
Authorizations
AuthorizationstringRequired
Enter token in format (Bearer <your_token>)
Path parameters
idinteger · int64RequiredExample:
ID of the texture
1Responses
200
Successful response
application/json
Textures data response
idintegerOptionalExample:
1namestringOptionalExample:
Wood Texturetexture_filestring · urlOptionalExample:
https://example.com/textures/wood_texture.jpgtexture_thumbnail_50string · urlOptionalExample:
https://example.com/textures/wood_texture_50.jpgtexture_thumbnail_100string · urlOptionalExample:
https://example.com/textures/wood_texture_100.jpgbump_filestring · urlOptionalExample:
https://example.com/textures/wood_texture_bump.jpgcategory_idintegerOptionalExample:
3created_atstring · date-timeOptionalExample:
2024-02-21T12:34:56Zupdated_atstring · date-timeOptionalExample:
2024-02-21T12:34:56Z401
Unauthorized
404
Texture not found
get
/api/open-api/v1/textures/{id}Last updated